package be.iminds.ilabt.jfed.lowlevel.ssh_key_info;

import be.iminds.ilabt.jfed.lowlevel.connection.SshKeyInfo;
import be.iminds.ilabt.jfed.util.tmp_file_helpers.TmpFile;

/**
 * Ssh Key Info with convenience methods to create temporary files containing the private keys
 */
public interface SshFilesKeyInfo extends SshKeyInfo {
    /**
     * @return true if getPrivateKeyFile can return a locked file if locked, false if it will fail if unlocked
     */
    boolean canReturnLockedPrivateKeyFile();

    /**
     * File containing private key. may be encrypted. Non putty format. never null. Will also make sure a .pub file with the public key is in the same dir.
     */
    TmpFile getPrivateKeyFile();

    /**
     * file containing private key. Non putty format. never null. Will also make sure a .pub file with the public key is in the same dir.
     */
    TmpFile getUnencryptedPrivateKeyFile();

}
